### Method

# Ggit Repository reset_default

#### Declaration [src]

    void
    ggit_repository_reset_default (
      GgitRepository* repository,
      GgitObject* target,
      const gchar* const* pathspecs,
      GError** error
    )

#### Description [src]

Update some entries in the index from the target commit tree. The scope of the updated entries is determined by the paths specified in `pathspecs`. Passing `NULL` in `target` will result in removing entries in the index matching the provided pathspecs.

#### Parameters

`target`

  Type: `GgitObject`

  The target `GgitObject` which is a commit or a tag.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`pathspecs`

  Type: An array of `gchar*`

  A list of file paths to reset.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.